Bug 990496 - Kickstart - The kernel could not be found at the specified location
Kickstart - The kernel could not be found at the specified location
Status: CLOSED NOTABUG
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
2.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2013-07-31 06:00 EDT by Blaž Kranjc
Modified: 2017-09-28 14:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:10:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Blaž Kranjc 2013-07-31 06:00:05 EDT
Description of problem:
I'm running Spacewalk 2.0 on Scientific Linux 6.4. I copied whole install DVD to /path/to/distro-tree. When I try to create a new kickstart distribution it returns an error:
The kernel could not be found at the specified location: /path/to/distro-tree/images/pxeboot/vmlinuz

However the file exists (I can manually navigate to it), also the file initrd.img is found (I tried deleting it and the error changes).

I tried different permissions of whole path, to make sure Spacewalk can navigate to it, I tried different SELinux contexts (as advised on https://www.redhat.com/archives/spacewalk-list/2010-October/msg00052.html, also my /var/log/messages remains unchanged), I also tried different distributions DVD and also different architectures.

How reproducible:
Every time.

Steps to Reproduce:
1. WebUI: System -> Kickstart -> Distribution -> Create new distributions
2. Distribution Label*:    name	
Tree Path*:                /path/to/distro-tree/
Base Channel*:             testChannel
Installer Generation*:     RHEL6
3. Create Kickstart Distribution button


Actual results:
The kernel could not be found at the specified location: /tmp/test/sl32/images/pxeboot/vmlinuz

Expected results:
Proceed with creation of Kickstart distribution

Additional info:
Similar topics:
https://www.redhat.com/archives/spacewalk-list/2010-October/msg00052.html
Comment 1 Blaž Kranjc 2013-08-01 05:10:06 EDT
SELinux context were set wrong.

Working context:

 system_u:object_r:spacewalk_data_t:s0
Comment 2 Eric Herget 2017-09-28 14:08:15 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.